XTP_PARALLEL(1)

NAME

xtp_parallel - Part of the VOTCA package

SYNOPSIS

xtp_parallel [OPTIONS]

xtp_parallel [--help]

DESCRIPTION

Runs job-based heavy-duty calculators

OPTIONS

Allowed options:

  -h [ --help ] display this help and exit
  --verbose be loud and noisy
  --verbose1 be very loud and noisy
  -v [ --verbose2 ] be extremly loud and noisy
  -o [ --options ] arg Calculator user options.
  -t [ --nthreads ] arg (=1) number of threads to create
  -e [ --execute ] arg Name of Calculator to run
  -l [ --list ] Lists all available Calculators
  -d [ --description ] arg Short description of a Calculators
  -c [ --cmdoptions ] arg Modify options via command line by e.g. '-c
                        xmltag.subtag=value'. Use whitespace to
                        separate multiple options
  -p [ --printoptions ] arg Prints xml options of a Calculator
  -f [ --file ] arg hdf5 state file, *.hdf5
  -i [ --first-frame ] arg (=0) start from this frame
  -n [ --nframes ] arg (=1) number of frames to process
  -s [ --save ] arg (=1) whether or not to save changes to state file
  -x [ --ompthreads ] arg (=1) number of openmp threads to create in each
                        thread
  -r [ --restart ] arg restart pattern: 'host(pc1:234)
                        stat(FAILED)'
  -q [ --cache ] arg (=8) assigns jobs in blocks of this size
  -j [ --jobs ] arg (=run) task(s) to perform: write, run, read
  -m [ --maxjobs ] arg (=-1) maximum number of jobs to process (-1 = inf)

AUTHORS

Written and maintained by the VOTCA Development Team <devs@votca.org>

COPYRIGHT

Copyright 2009-2024 The VOTCA Development Team (http://www.votca.org)

Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.